/* @group Spring Form */

#canvas #springform {
	padding: 0;
	margin: 0 0 2em 0;
}

#canvas #content #springform h1 {
	padding: 0;
	margin: 0 0 2% 0;
}

#canvas #content #springform h2 {
	padding: 0;
	margin: 0;
}

#canvas #springform p, #canvas #springform div {
	width: 94%;
	line-height: 1.6;
	overflow: hidden;
	clear: left;
	margin: 15px 0 0 0;
	padding: 0 5% 0 0;
	position: relative;
}

#canvas #springform fieldset {
	position: relative;
	border: 1px dashed #ccc;
	margin: 1em 0;
}

#canvas #springform fieldset legend {
	padding: 0 10px;
	font-size: 1.4em;
	background-color: #fff;
}

#springform #formsubmit {
	margin-top: 2%;
}

#springform .select {
	border: 1px solid #8bbbdf;
	width: auto;
	margin: 0;
}

#springform .column {
	position: relative;
	float: left;
	clear: none;
	width: 50%;
}

#springform .column select {
	width: 40%;
}

#springform .column label {
	width: 49%;
}

#springform table.spaced {
	margin-bottom: 20px;
}

#canvas #springform .hide {
	display: none;
}

/* @end */

/* @group Repeat */

#canvas #springform a.duplicateLink, #springform a.removeLink {
	position: absolute;
	top: 0;
	right: 0;
	margin-top: 2px;
	color: #000;
	font-size: 9px;
	text-transform: uppercase;
	text-decoration: none;
	white-space: nowrap;
	display: block;
	padding-top: 3px;
}

#springform a.duplicateLink span {
	background-image: url(/images/tiny-icons-50.png);
	background-position: -129px -339px;
	display: block;
	overflow: hidden;
	height: 12px;
	width: 12px;
	text-indent: 100px;
}

#springform a.removeLink span {
	background-image: url(/images/tiny-icons-30.png);
	background-position: -159px -339px;
	display: block;
	overflow: hidden;
	height: 12px;
	width: 12px;
	text-indent: 100px;
}

/* @end */

/* @group Repeat New*/

#canvas #springform span.duplicatelink, #springform span.removelink {
	position: absolute;
	top: 5px;
	right: 0;
	color: #000;
	font-size: 9px;
	text-transform: uppercase;
	text-decoration: none;
	white-space: nowrap;
	display: block;
	padding-top: 3px;
}

#springform span.duplicatelink {
	background-image: url(/images/tiny-icons-50.png);
	background-position: -129px -339px;
	display: block;
	overflow: hidden;
	height: 12px;
	width: 12px;
	text-indent: 100px;
}

#springform span.removelink {
	background-image: url(/images/tiny-icons-30.png);
	background-position: -159px -339px;
	display: block;
	overflow: hidden;
	height: 12px;
	width: 12px;
	text-indent: 100px;
}

/* @end */


/* @group Label */

label, .label {
	font-size: 1.0em;	
}

#canvas #springform label, #canvas #springform .label {
	float: left;
	width: 23%;
	padding: 0 2% 0 0;
	line-height: 1.6;
	text-align: right;
	font-weight: bold;
}

#canvas #springform fieldset label, #canvas #springform fieldset .label {
	width: 22%;
	padding: 0 2% 0 1%;
}

#canvas #springform .wide label, #canvas #springform .wide .label {
	float: left;
	width: 52%;
	padding: 0 2% 0 1%;
	line-height: 1.6;
	text-align: left;
	font-weight: bold;
}

#canvas #springform fieldset .wide label, #canvas #springform fieldset .wide .label {
	width: 51%;
	padding: 0 2% 0 1%;
}

/* @end */

/* @group Fields */

#canvas #springform .text, #canvas #springform .textarea {
	width: 74%;
	border: 1px solid #8bbbdf;
}

#canvas #springform .wide .text, #canvas #springform .wide .textarea {
	width: 44%;
}



#canvas #springform .chkboption .text {
	width: auto;
	border: 1px solid #8bbbdf;
}

/* @end */

/* @group Radio */

#canvas #springform .radiolist .list {
	float: left;
	width: 74%;
}

#canvas #springform .radiolist label {
	text-align: left;
	font-weight: normal;
	clear: left;
	padding-left: 4%;
	margin-bottom: 1%;
}

#canvas #springform .radiolist label input {
	position: absolute;
	margin-left: -3%;
}



/* @end */

/* @group Classed */

#canvas #springform .note {
	padding: 1%;
	width: auto;
	font-style: italic;
}

#canvas #springform .bold {
	font-size: 1.2em;
	font-weight: normal;
	font-style: italic;
	padding: 1%;
	border-top: 1px dotted #ccc;
	border-bottom: 1px dotted #ccc;
}


#canvas #springform .strong {
	font-size: 1.2em;
	font-weight: bold;
	font-style: normal;
	padding: 1%;
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
}

#canvas #springform .close {
	margin-top: 0;
	padding: 0 10% 0 24%;
	width: auto;
}

#canvas #springform .small input {
	width: 30%;
}

/* @end */

/* @group Checkbox */

#canvas #springform .chkb .checkbox {
	position: absolute;
	margin-left: -3%
}

#canvas #springform .chkb .description {
	display: block;
	padding-left: 28%;
}

#canvas #springform .checkboxlist {
	position: relative;
}

#canvas #springform .checkboxlist .label {
	float: left;
	margin: 0;
}

#canvas #content #springform .checkboxlist p.list {
	position: relative;
	display: block;
	clear: none;
	width: 69%;
	margin: 0;
}

#canvas #springform .checkboxlist .checkboxitem {
	display: block;
	clear: both;
	margin-bottom: 1%;
	width: 95%;
}

#canvas #springform .checkboxlist label {
	font-weight: normal;
	width: 100%;
	float: none;
}

#canvas #springform .checkboxlist .list input {
	clear: both;
	position: relative;
	margin-left: 0;
	margin-right: 1%;
}

#canvas #springform .chkb .other {
	padding-left: 6%;
	font-style: italic;
}

#canvas #springform .chkb .other input {
	margin-left: 1%;
}

/* @end */

/* @group File */

#canvas #content #springform .filecontrol .file input {
	border: 1px solid transparent;
	padding: 0;
}

/* @end */

/* @group Textlist */


#canvas #springform .textlistheader {
	margin-bottom: -10px;
	padding-right: 0;
	vertical-align: bottom;
}

#canvas #springform .textlistheader span {
	float: left;
	padding: 0 3% 0 0;
}

#canvas #springform .textlistheader span.p0 {
	width: 25%;
	height: 1.6em;
	padding: 0;
	margin-right: 0;
}

#canvas #springform .textlist.removeable {
	margin-top: 15px;
}

#canvas #springform .textlist input {
	border: 1px solid #8bbbdf;
	float: left;
}

#canvas #springform .textlist.c2 input {
	width: 36.8%;
	margin-right: -2px;
}

#canvas #springform .textlist.c3 input {
	width: 24.5%;
	margin-right: -2px;
}


#canvas #springform .textlistheader.c2 span.p1,
#canvas #springform .textlistheader.c2 span.p2 {
	width: 34%;
}

#canvas #springform .textlistheader.c3 span.p1,
#canvas #springform .textlistheader.c3 span.p2,
#canvas #springform .textlistheader.c3 span.p3 {
	width: 22%;
}


/* @end */

/* @group Validation */

#springform .checkboxlist .validation-advice {
	clear: both;
	float: left;
}

#canvas #springform .validation-advice {
	position: absolute;
	top: 3px;
	right: 0;
	margin: 0;
	border: none;
	width: auto;
	height: 14px;
	line-height: 1;
	font-size: 11px;
	padding: 1px 5px 0 15px;
	background-image: url(/images/validation-error-001.png);
	background-position: left center;
	color: #fff;
}


#canvas #springform .validation-failed {
	/*border: 1px solid #c00;*/
}

#canvas #springform .requiredflag {
	color: #00acf8;
	padding-right: 0.5em;
}

#canvas #springform .column .validation-advice {
	position: absolute;
	right: 0;
}

#creditcarddetails {
	padding-bottom: 2em;
}

/* @end */

.validity-modal-msg { 
    position: absolute; 
	right: 0;
	margin: 0;
	border: none;
	width: auto;
	height: 14px;
	line-height: 1;
	font-size: 11px;
	padding: 1px 5px 0 15px;
	background-image: url(/images/validation-error-001.png);
	background-position: left center;
	color: #fff;
    cursor: pointer; 
}

.validity-modal-msg:hover { 
    background-color:#aaa; 
}

